# Create/update a measurement for a storage Endpoint: PUT /fuel/locations/{locationId}/storages/{storageId}/measurement/{measurementId} Version: 1.0.0 Security: M2X_auth_application ## Path parameters: - `locationId` (string, required) locationId to use - `storageId` (string, required) StorageId to use - `measurementId` (string, required) Unique identifier of the measurement ## Request fields (application/json): - `type` (string) Enum: "STANDARD_DIP", "PRE_DIP", "POST_DIP" - `timestamp` (string) RFC3339 date time of the measurement - `quantityLitres` (number) ## Response 200 fields (application/json): - `success` (boolean) Example: true ## Response 400 fields (application/json): - `error` (string) The issue description - `code` (string) The code for the issue Enum: "INVALID_SCHEMA", "PRODUCT_NOT_FOUND", "LOCATION_NOT_FOUND", "INVALID_MEASUREMENT"